#pragma once
#ifndef _JSON_INDEXES_HPP_
#define _JSON_INDEXES_HPP_

enum JsonIndexes
{
	OBJECT_MANAGER = 0,
	OBJECT_SET,
	OBJECT_TO_REMOVE_SET,
	// GAME_EVENTS
	ID_BINDED_OBJECT = 0,
	SHOOT,
	DIRECTION,
	CLOSE_SIGNAL,
	// SPACE
	X1 = 0,
	X2,
	Y1,
	Y2,
	ROTATION_ANGLE,
	// GAME_OBJECT
	ID = 0,
	SPACE_,
	TRANSPARENT_FLAG,
	OBJECT_TYPE,
	OBJECT_LIFE_TIME,
		// DYNAMIC_OBJECT
		MOTION,
		// TANK1
		TEXTURE_SPACE,
		TEXTURE_PATH,
		TANK_COLOR,
		TANK_DESTROYED,
		TANK_LIVES,
	// SIECIOWE
	CREATION_SPACE = 0,
	CLIENT_ID

};

#endif

